#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 hslua-core
version:              2.3.2
visibility:           public
id:                   hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9
key:                  hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9
license:              MIT
copyright:
    © 2007–2012 Gracjan Polak;
    © 2012–2016 Ömer Sinan Ağacan;
    © 2017-2024 Albert Krewinkel

maintainer:           tarleb@hslua.org
author:               Albert Krewinkel, Gracjan Polak, Ömer Sinan Ağacan
homepage:             https://hslua.org/
synopsis:             Bindings to Lua, an embeddable scripting language
description:
    Wrappers and helpers to bridge Haskell and
    <https://www.lua.org/ Lua>.

    It builds upon the /lua/ package, which allows to bundle
    a Lua interpreter with a Haskell program.

category:             Foreign
abi:                  84f059eefb3cb62f3426058d88799a32
exposed:              True
exposed-modules:
    HsLua.Core, HsLua.Core.Closures, HsLua.Core.Debug,
    HsLua.Core.Error, HsLua.Core.Package, HsLua.Core.Run,
    HsLua.Core.Trace, HsLua.Core.Types, HsLua.Core.Unsafe,
    HsLua.Core.Userdata, HsLua.Core.Utf8,
    Lua from lua-2.3.2-mevKPBhhlECuNS2iqTG62:Lua

hidden-modules:
    HsLua.Core.Auxiliary HsLua.Core.Primary HsLua.Core.Warn

import-dirs:          /usr/lib/ghc-9.8.2/site-local/hslua-core-2.3.2
library-dirs:         /usr/lib/ghc-9.8.2/site-local/hslua-core-2.3.2
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/hslua-core-2.3.2
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/hslua-core-2.3.2
hs-libraries:         HShslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9
depends:
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    exceptions-0.10.7-inplace lua-2.3.2-mevKPBhhlECuNS2iqTG62
    mtl-2.3.1-inplace text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/hslua-core-2.3.2/html/hslua-core.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/hslua-core-2.3.2/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

